﻿////////////////////////////////////////////////////////////////////////////////
//
// AudioscrobblerReader
//   TogglePanel.as
//   Rev. 1.0 (2005/9/25)
// 
// by nomura masayuki
// http://www.a3size.com/AudioscrobblerReader/
//
////////////////////////////////////////////////////////////////////////////////
//
// トグルパネルムービークリップクラス
// オン/オフを表示するムービークリップのクラス
//
////////////////////////////////////////////////////////////////////////////////
import com.a3size.audioscrobblerReader.*;

class com.a3size.audioscrobblerReader.TogglePanel extends MovieClip
{
	private var toggleStatus:Boolean; // 状態
	
	// コンストラクタ
	function TogglePanel()
	{
		this.status = false;
	}
	
	// トグル(get/set)
	function get status():Boolean
	{
		return this.toggleStatus;
	}
	function set status(bool:Boolean):Void
	{
		this.toggleStatus = bool;
		setPanel();
	}

	// 表示切り替え
	private function setPanel():Void
	{
		if (this.toggleStatus)
			this.gotoAndStop("on");
		else
			this.gotoAndStop("off");
	}
}